summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorStuart Herbert <stuart@gentoo.org>2005-09-04 12:57:44 +0000
committerStuart Herbert <stuart@gentoo.org>2005-09-04 12:57:44 +0000
commit69078beb1b223ffa3a620b9621e94c966d12728e (patch)
tree766e4fe43f6ea46a517c8349daa5f00e7e93aafc /eclass
parentversion bump (diff)
downloadhistorical-69078beb1b223ffa3a620b9621e94c966d12728e.tar.gz
historical-69078beb1b223ffa3a620b9621e94c966d12728e.tar.bz2
historical-69078beb1b223ffa3a620b9621e94c966d12728e.zip
Revert php-pear eclass; add new eclass as -r1
Diffstat (limited to 'eclass')
-rw-r--r--eclass/php-pear-r1.eclass48
-rw-r--r--eclass/php-pear.eclass24
2 files changed, 60 insertions, 12 deletions
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
new file mode 100644
index 000000000000..d4b27c5131e1
--- /dev/null
+++ b/eclass/php-pear-r1.eclass
@@ -0,0 +1,48 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.1 2005/09/04 12:57:44 stuart Exp $
+#
+# Author: Tal Peer <coredumb@gentoo.org>
+#
+# The php-pear eclass provides means for easy installation of PEAR
+# packages, see http://pear.php.net
+
+# Note that this eclass doesn't handle PEAR packages' dependencies on
+# purpose, please use (R)DEPEND to define them.
+
+EXPORT_FUNCTIONS src_install
+
+# Set this is the the package name on PEAR is different than the one in
+# portage (generally shouldn't be the case).
+[ -z "${PHP_PEAR_PKG_NAME}" ] && PHP_PEAR_PKG_NAME=${PN/PEAR-/}
+
+# We must depend on the base package as we need it to do
+# install tasks (it provides the pear binary).
+DEPEND="${DEPEND} dev-lang/php"
+RDEPEND="${RDEPEND} ${DEPEND}"
+
+fix_PEAR_PV() {
+ tmp=${PV}
+ tmp=${tmp/_/}
+ tmp=${tmp/rc/RC}
+ tmp=${tmp/beta/b}
+ PEAR_PV=${tmp}
+}
+
+PEAR_PV=""
+fix_PEAR_PV
+PEAR_PN=${PHP_PEAR_PKG_NAME}-${PEAR_PV}
+
+[ -z "${SRC_URI}" ] && SRC_URI="http://pear.php.net/get/${PEAR_PN}.tgz"
+[ -z "${HOMEPAGE}" ] && HOMEPAGE="http://pear.php.net/${PHP_PEAR_PKG_NAME}"
+S="${WORKDIR}/${PEAR_PN}"
+
+php-pear_src_install() {
+ # SNMP is nuts sometimes
+ addpredict /usr/share/snmp/mibs/.index
+ addpredict /var/lib/net-snmp/
+
+ cd ${S}
+ mv ${WORKDIR}/package.xml ${S}
+ pear install --nodeps --installroot=${D} ${S}/package.xml || die "Unable to install PEAR package"
+}
diff --git a/eclass/php-pear.eclass b/eclass/php-pear.eclass
index d0e287707b4f..34a70d769ced 100644
--- a/eclass/php-pear.eclass
+++ b/eclass/php-pear.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear.eclass,v 1.12 2005/09/04 10:54:53 stuart Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear.eclass,v 1.13 2005/09/04 12:57:44 stuart Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
#
@@ -14,35 +14,35 @@ EXPORT_FUNCTIONS src_install
# Set this is the the package name on PEAR is different than the one in
# portage (generally shouldn't be the case).
-[ -z "${PHP_PEAR_PKG_NAME}" ] && PHP_PEAR_PKG_NAME=${PN/PEAR-/}
+[ -z "$PHP_PEAR_PKG_NAME" ] && PHP_PEAR_PKG_NAME=${PN/PEAR-/}
-# We must depend on the base package as we need it to do
+# We must depend on the virtual as well as the base package as we need it to do
# install tasks (it provides the pear binary).
-DEPEND="${DEPEND} dev-lang/php"
-RDEPEND="${RDEPEND} ${DEPEND}"
+DEPEND="$DEPEND virtual/php dev-php/php"
+RDEPEND="$RDEPEND $DEPEND"
fix_PEAR_PV() {
- tmp=${PV}
+ tmp=$PV
tmp=${tmp/_/}
tmp=${tmp/rc/RC}
tmp=${tmp/beta/b}
- PEAR_PV=${tmp}
+ PEAR_PV=$tmp
}
PEAR_PV=""
fix_PEAR_PV
PEAR_PN=${PHP_PEAR_PKG_NAME}-${PEAR_PV}
-[ -z "${SRC_URI}" ] && SRC_URI="http://pear.php.net/get/${PEAR_PN}.tgz"
-[ -z "${HOMEPAGE}" ] && HOMEPAGE="http://pear.php.net/${PHP_PEAR_PKG_NAME}"
+[ -z "$SRC_URI" ] && SRC_URI="http://pear.php.net/get/${PEAR_PN}.tgz"
+[ -z "$HOMEPAGE" ] && HOMEPAGE="http://pear.php.net/${PHP_PEAR_PKG_NAME}"
S="${WORKDIR}/${PEAR_PN}"
-php-pear_src_install() {
+php-pear_src_install () {
# SNMP is nuts sometimes
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/
cd ${S}
mv ${WORKDIR}/package.xml ${S}
- pear install --nodeps --installroot=${D} ${S}/package.xml || die "Unable to install PEAR package"
+ pear install --nodeps -R ${D} ${S}/package.xml || die
}